cURL
curl --request GET \
--url https://api.brightdata.com/datasets/snapshots/{id}/parts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/snapshots/{id}/parts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/snapshots/{id}/parts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"parts": 123
}"Snapshot is not ready""snapshot not found"Marketplace Dataset API
Get Snapshot Parts
Get dataset snapshot delivery parts. All query parameters used here need to match those used when downloading the snapshot to get accurate parts
GET
/
datasets
/
snapshots
/
{id}
/
parts
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Snapshot ID
Example:
"snap_m2bxug4e2o352v1jv1"
Query Parameters
Format of the response
Available options:
json, ndjson, jsonl, csv Whether or not the response will be compressed in gzip format
Number of records that will be included in each response batch
Response
OK
Was this page helpful?